Package org.zkoss.bind.impl

## Class ReferenceBindingImpl

- java.lang.Object
- - org.zkoss.bind.impl.BindingImpl
  - - org.zkoss.bind.impl.ReferenceBindingImpl

- All Implemented Interfaces:
    `java.io.Serializable`, `Binding`, `LoadBinding`, `ReferenceBinding`

      public class ReferenceBindingImpl
      extends BindingImpl
      implements ReferenceBinding

  Implementation of `ReferenceBinding`.
  Since:
    6.0.0
  Author:
    henrichen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReferenceBindingImpl​(Binder binder, Component comp, java.lang.String attr, java.lang.String expression)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getPropertyString()` | Returns the reference expression script of this binding.
    `java.lang.Object` | `getValue​(BindELContext ctx)` | Returns the referenced value.
    `void` | `invalidateCache()` | Invalidate cached value of this reference.
    `void` | `load​(BindContext ctx)` | Load data into the source attribute from the target property.
    `void` | `setValue​(BindELContext ctx, java.lang.Object val)` | Sets the value to referenced object
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class org.zkoss.bind.impl.BindingImpl

      `containsAttribute, getArgs, getAttribute, getBinder, getComponent, setAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.zkoss.bind.sys.Binding

      `getArgs, getBinder, getComponent`

- - ### Constructor Detail

    - #### ReferenceBindingImpl

          public ReferenceBindingImpl​(Binder binder,
                                      Component comp,
                                      java.lang.String attr,
                                      java.lang.String expression)

  - ### Method Detail

    - #### getValue

          public java.lang.Object getValue​(BindELContext ctx)

      Description copied from interface: `ReferenceBinding`
      Returns the referenced value.
      Specified by:
        `getValue` in interface `ReferenceBinding`
      Parameters:
        `ctx` - the context to evaluate the reference expression.
      Returns:
        the referenced value.

    - #### setValue

          public void setValue​(BindELContext ctx,
                               java.lang.Object val)

      Description copied from interface: `ReferenceBinding`
      Sets the value to referenced object
      Specified by:
        `setValue` in interface `ReferenceBinding`
      Parameters:
        `ctx` - the context to evaluate the reference expression.

    - #### load

          public void load​(BindContext ctx)

      Description copied from interface: `LoadBinding`
      Load data into the source attribute from the target property.
      Specified by:
        `load` in interface `LoadBinding`
      Parameters:
        `ctx` - the binding runtime context

    - #### getPropertyString

          public java.lang.String getPropertyString()

      Description copied from interface: `ReferenceBinding`
      Returns the reference expression script of this binding.
      Specified by:
        `getPropertyString` in interface `ReferenceBinding`
      Returns:
        the reference expression script of this binding.

    - #### invalidateCache

          public void invalidateCache()

      Description copied from interface: `ReferenceBinding`
      Invalidate cached value of this reference.
      Specified by:
        `invalidateCache` in interface `ReferenceBinding`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`